package com.sun.j3d.loaders.vrml97.impl;

/*
 * FieldEventReceiver.java
 *
 * Created on June 2, 2000, 9:14 AM
 */
 
/** 
 *
 * @author  Brad Vender
 * @version 
 * The entire point of this interface was to extend the routing mechanism
 * of Field to support the vrml.external wrapper classes nicely.
 */
public interface FieldEventReceiver {
  
  /* Name of field for informational purposes */
  public String getFieldName();
  /* Time of last update */
  public double getLastUpdate();
/**
 * Insert the method's description here.
 * Creation date: (11/12/00 1:58:46 PM)
 * @return java.lang.String
 */
String toStringId();
  /* Receive an update from a Field object */
  public void update(Field sender);
}
