package com.sun.j3d.loaders.vrml97.impl;

/*
 *      @(#)ConstMFVec2f.java 1.10 98/11/05 20:34:13
 *
 * Copyright (c) 1996-1998 Sun Microsystems, Inc. All Rights Reserved.
 *
 * Sun grants you ("Licensee") a non-exclusive, royalty free, license to use,
 * modify and redistribute this software in source and binary code form,
 * provided that i) this copyright notice and license appear on all copies of
 * the software; and ii) Licensee does not utilize the software in a manner
 * which is disparaging to Sun.
 *
 * This software is provided "AS IS," without a warranty of any kind. ALL
 * EXPRESS OR IMPLIED CONDITIONS, REPRESENTATIONS AND WARRANTIES, INCLUDING ANY
 * IMPLIED WARRANTY OF MERCHANTABILITY, FITNESS FOR A PARTICULAR PURPOSE OR
 * NON-INFRINGEMENT, ARE HEREBY EXCLUDED. SUN AND ITS LICENSORS SHALL NOT BE
 * LIABLE FOR ANY DAMAGES SUFFERED BY LICENSEE AS A RESULT OF USING, MODIFYING
 * OR DISTRIBUTING THE SOFTWARE OR ITS DERIVATIVES. IN NO EVENT WILL SUN OR ITS
 * LICENSORS BE LIABLE FOR ANY LOST REVENUE, PROFIT OR DATA, OR FOR DIRECT,
 * INDIRECT, SPECIAL, CONSEQUENTIAL, INCIDENTAL OR PUNITIVE DAMAGES, HOWEVER
 * CAUSED AND REGARDLESS OF THE THEORY OF LIABILITY, ARISING OUT OF THE USE OF
 * OR INABILITY TO USE SOFTWARE, EVEN IF SUN HAS BEEN ADVISED OF THE
 * POSSIBILITY OF SUCH DAMAGES.
 *
 * This software is not designed or intended for use in on-line control of
 * aircraft, air traffic, aircraft navigation or aircraft communications; or in
 * the design, construction, operation or maintenance of any nuclear
 * facility. Licensee represents and warrants that it will not use or
 * redistribute the Software for such purposes.
 */

/*
 * @Author: Rick Goldberg
 * @Author: Doug Gehringer
 *
 */

public class ConstMFVec2f extends ConstMField {

    public ConstMFVec2f(float[][] values) {
	super(new MFVec2f(values));
    }
    // What is the size doing here?
    public ConstMFVec2f(int size, float[] values) {
	super(new MFVec2f(size, values));
    }
    ConstMFVec2f(MFVec2f owner ) {
	super(owner);
    }
    public synchronized Object clone() {
	return new ConstMFVec2f((MFVec2f)ownerField);
    }
    public void get1Value(int index, float[] values) {
	((MFVec2f)ownerField).get1Value(index, values);
    }
    public void get1Value(int index, SFVec2f vec) {
	((MFVec2f)ownerField).get1Value(index, vec);
    }
    public void getValue(float[][] values) {
	((MFVec2f)ownerField).getValue(values);
    }
    public void getValue(float[] values) {
	((MFVec2f)ownerField).getValue(values);
    }
    public vrml.Field wrap() {
	return new vrml.field.ConstMFVec2f(this);
    }
}
