package com.sun.j3d.loaders.vrml97.impl;

/*
 *      @(#)ConstSFVec2f.java 1.10 98/11/05 20:34:20
 *
 * Copyright (c) 1996-1998 Sun Microsystems, Inc. All Rights Reserved.
 *
 * Sun grants you ("Licensee") a non-exclusive, royalty free, license to use,
 * modify and redistribute this software in source and binary code form,
 * provided that i) this copyright notice and license appear on all copies of
 * the software; and ii) Licensee does not utilize the software in a manner
 * which is disparaging to Sun.
 *
 * This software is provided "AS IS," without a warranty of any kind. ALL
 * EXPRESS OR IMPLIED CONDITIONS, REPRESENTATIONS AND WARRANTIES, INCLUDING ANY
 * IMPLIED WARRANTY OF MERCHANTABILITY, FITNESS FOR A PARTICULAR PURPOSE OR
 * NON-INFRINGEMENT, ARE HEREBY EXCLUDED. SUN AND ITS LICENSORS SHALL NOT BE
 * LIABLE FOR ANY DAMAGES SUFFERED BY LICENSEE AS A RESULT OF USING, MODIFYING
 * OR DISTRIBUTING THE SOFTWARE OR ITS DERIVATIVES. IN NO EVENT WILL SUN OR ITS
 * LICENSORS BE LIABLE FOR ANY LOST REVENUE, PROFIT OR DATA, OR FOR DIRECT,
 * INDIRECT, SPECIAL, CONSEQUENTIAL, INCIDENTAL OR PUNITIVE DAMAGES, HOWEVER
 * CAUSED AND REGARDLESS OF THE THEORY OF LIABILITY, ARISING OUT OF THE USE OF
 * OR INABILITY TO USE SOFTWARE, EVEN IF SUN HAS BEEN ADVISED OF THE
 * POSSIBILITY OF SUCH DAMAGES.
 *
 * This software is not designed or intended for use in on-line control of
 * aircraft, air traffic, aircraft navigation or aircraft communications; or in
 * the design, construction, operation or maintenance of any nuclear
 * facility. Licensee represents and warrants that it will not use or
 * redistribute the Software for such purposes.
 */

/*
 * @Author: Rick Goldberg
 * @Author: Doug Gehringer
 *
 */

public class ConstSFVec2f extends ConstField {

    ConstSFVec2f(float[] values) {
	super(new SFVec3f(values));
    }
    ConstSFVec2f(SFVec2f owner) {
	super(owner);
    }
    public synchronized Object clone() {
	return new ConstSFVec2f( (SFVec2f)ownerField );
    }
    public float[] getValue() {
	return ((SFVec2f)ownerField).getValue();
    }
    public void getValue(float[] vec) {
	((SFVec2f)ownerField).getValue(vec);
    }
    public float getX() {
	return ((SFVec2f)ownerField).getX();
    }
    public float getY() {
	return ((SFVec2f)ownerField).getY();
    }
    public vrml.Field wrap() {
        return new vrml.field.ConstSFVec2f(this);
    }
}
